activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Carlos D. Morales (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMQ-4154) Karaf activemq feature can't be installed due to the unresolved dependencies
Date Fri, 23 Nov 2012 21:16:58 GMT

    [ https://issues.apache.org/jira/browse/AMQ-4154?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13503282#comment-13503282
] 

Carlos D. Morales commented on AMQ-4154:
----------------------------------------

This is my experience with a fresh install of Karaf 2.3.0. I am not sure if there were other
dependencies still left unresolved.

Please notice that after the first error was reported, I manually installed *commons-daemon/commons-daemon/1.0.10*
but it was not sufficient to make it work, since now it reports some imported package (*org.apache.hadoop.conf*)
not available.

{noformat}
        __ __                  ____      
       / //_/____ __________ _/ __/      
      / ,<  / __ `/ ___/ __ `/ /_        
     / /| |/ /_/ / /  / /_/ / __/        
    /_/ |_|\__,_/_/   \__,_/_/         

  Apache Karaf (2.3.0)

Hit '<tab>' for a list of available commands
and '[cmd] --help' for help on a specific command.
Hit '<ctrl-d>' or 'osgi:shutdown' to shutdown Karaf.

karaf@root> features:addurl mvn:org.apache.activemq/activemq-karaf/5.8-SNAPSHOT/xml/features
karaf@root> features:install activemq
Error executing command: Could not start bundle mvn:org.apache.activemq/activemq-core/5.8-SNAPSHOT
in feature(s) activemq-5.8-SNAPSHOT: Unresolved constraint in bundle org.apache.activemq.activemq-core
[75]: Unable to resolve 75.0: missing requirement [75.0] osgi.wiring.package; (&(osgi.wiring.package=org.apache.commons.daemon)(version>=1.0.0)(!(version>=2.0.0)))
karaf@root> osgi:install mvn:commons-daemon/commons-daemon/1.0.10
Bundle ID: 81
karaf@root> features:install activemq
Error executing command: Could not start bundle mvn:org.apache.activemq/activemq-core/5.8-SNAPSHOT
in feature(s) activemq-5.8-SNAPSHOT: Unresolved constraint in bundle org.apache.activemq.activemq-core
[103]: Unable to resolve 103.0: missing requirement [103.0] osgi.wiring.package; (osgi.wiring.package=org.apache.hadoop.conf)
karaf@root>
{noformat}
                
> Karaf activemq feature can't be installed due to the unresolved dependencies
> ----------------------------------------------------------------------------
>
>                 Key: AMQ-4154
>                 URL: https://issues.apache.org/jira/browse/AMQ-4154
>             Project: ActiveMQ
>          Issue Type: Bug
>          Components: Message Store
>    Affects Versions: 5.8.0
>            Reporter: Victor Antonovich
>            Assignee: Claus Ibsen
>             Fix For: 5.8.0
>
>
> Trying to install ActiveMQ 5.8-SNAPSHOT feature compiled from latest trunk to Apache
Karaf and got next error:
> {code} 
> java.lang.Exception: Can not resolve feature:
> Unsatisfied requirement(s):
> ---------------------------
>    package:(&(package=org.codehaus.jackson.map)(version>=1.9.0)(!(version>=2.0.0)))
>       activemq-console
>    package:(&(package=org.fusesource.hawtbuf)(version>=1.9.0)(!(version>=2.0.0)))
>       activemq-console
>    package:(&(package=org.fusesource.hawtbuf.proto)(version>=1.9.0)(!(version>=2.0.0)))
>       activemq-console
> {code}
> Seems like unresolved dependencies were added in revision 1402652 (AMQ-4137 fix).

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message